---
title: Provisioning
url: https://docs.vultr.com/products/network/vpc-networks/provisioning
description: A process that prepares and configures a server or service for use after initial deployment.
publish_date: 2024-09-23T20:22:07.280720Z
last_updated: 2026-05-26T20:01:45.877448Z
---

# How to Create a VPC Network

A Vultr Virtual Private Cloud (VPC) network creates a secure and isolated private networking environment for instances to connect and share resources. A VPC network supports IPv4 network addresses to enable communication and data sharing between instances.

Follow this guide to create a Virtual Private Network (VPC) network using the Vultr Console, API, CLI, or Terraform

=== "Vultr Console"

    1. Navigate to **Products**, expand the **Network** drop-down and select **VPC Networks** from the list of options.
    1. Click **Add VPC Network** to set up a new VPC.
    1. Select your target Vultr location to create the VPC network.
    1. Click **Configure IPv4 Range** to enter a custom private IPv4 subnet to assign the network, or keep **Auto-Assign IP Range** selected.
    1. Click **Custom Routes** within the **Manage Routes** section to set up custom static routes to update on all instances attached to the VPC network, or keep **No Routes** selected.
    1. Enter a new label in the **VPC Network Name** field to identify the network.
    1. Click **Add Network** to create the new VPC network and verify that it's available in your Vultr account

=== "Vultr API"

    1. Send `POST` request to the [**Create VPC** endpoint](https://www.vultr.com/api/#tag/VPCs/operation/create-vpc) to create a new VPC network in a specific Vultr location with an automatic IP address range.

        ```console
        $ curl "https://api.vultr.com/v2/vpcs" \
            -X POST \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
                --data '{
                    "region" : "<vultr-location-id>",
                    "description" : "<label>"
                }'
        ```

        Visit the [**Create VPC** API page](https://www.vultr.com/api/#tag/VPCs/operation/create-vpc) to view additional attributes to apply on the VPC network.

=== "Vultr CLI"

    1. Create a new VPC network in a specific Vultr location with an automatic IP address range.

        ```console
        $ vultr-cli vpc create --region="ewr" --description="test VPC"
        ```

        Run `vultr-cli vpc create --help` to view additional options to apply on the VPC network.

=== "Terraform"

    1. Ensure the [Vultr Terraform provider](https://registry.terraform.io/providers/vultr/vultr/latest/docs) is configured in your Terraform project.

    1. Create a VPC network, then apply.

        ```terraform
        resource "vultr_vpc" "net" {
            region      = "ewr"
            description = "example-vpc"
            # optional manual range
            # v4_subnet      = "10.10.0.0"
            # v4_subnet_mask = 24
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 1 added, 0 changed, 0 destroyed.
        ```
